using System;
using System.Collections.ObjectModel;

namespace SampleProjectWP
{
    public class ViewModel
    {
        private static Random rand = new Random();

        public ViewModel()
        {
            this.Items = this.GetData();
        }

        public ObservableCollection<Item> Items { get; set; }

        private ObservableCollection<Item> GetData()
        {
            var data = new ObservableCollection<Item>();
            for (var i = 0; i < 100; i++)
            {
                data.Add(new Item { Value = rand.Next(10, 15), Text = string.Format("item {0}", i) });
            }

            return data;
        }
    }
}